unit Imkconst;

interface
{
 Constants and Declarations for ImageKnife/VBX library

 Copyright (c) 1995 by Media Architects; Inc.  ALL RIGHTS RESERVED
 }

 {######  Constants  ######}

uses Knife;

Const
     {Image file formats}
     IMK_EXTENSION :integer = 0;
     IMK_TIFF :integer = 1;
     IMK_TARGA :integer= 2;
     IMK_BITMAP:integer = 3;
     IMK_GIF :integer= 4;
     IMK_DIB:integer = 5;
     IMK_PCX :integer= 6;
     IMK_JPEG:integer = 7;
     IMK_OLEPBRUSH :integer= 8;

     { Image file compression types}
     IMK_UNCOMP:integer = 0;
     IMK_LZW :integer= 1;
     IMK_RLE :integer= 2;
     IMK_PACKBITS:integer = 3;
     IMK_OS2 :integer= 4;
     IMK_PCXCOMP:integer = 5;

     {######  Declarations  ######}

{access data base not supported in Delphi}
{Function imkAccessLoad (Chunks()as string *32768): integer;}
{Function imkAccessStoreInit (FullPicture:integer; Fmt:integer; Compression:integer; ChunkSize:longint):longint;}
{Function imkAccessStoreGetData (ChunkNum:longint):Pchar;}

Function imkBlur (FullPicture:integer):integer;
Function imkBrightCont (FullPicture:integer; Brightness:double; Contrast:double) :integer;
Function imkColorReplace (FullPicture:integer; C1:longint; C2:longint; Flag:integer; C3:longint) :Integer;
Function imkCountImages (FileName:Pchar; Fmt:integer):Integer;
Function imkDuplicate (HDIB:integer):Integer;
Function imkExtractEdges (FullPicture:integer; Magnitude:integer) :Integer;
Function imkForcePal (FullPicture:integer; Palette:integer):Integer;
Function imkGamma (FullPicture:integer; Magnitude:double) :Integer;
Function imkGetColor ( FullPicture:integer;  X:integer;  Y:integer) :longint;
Function imkGetColorCount ( FullPicture:integer) :longint;
Function imkGetPalColor ( Palette:integer;  position:integer) :longint;
Function imkGrayScale ( FullPicture:integer): integer;
Function imkIncreaseColors ( FullPicture:integer;  Depth:integer): integer;
Function imkInit ( ColorDepth:integer;  NewWidth:integer;  NewHeight:integer;  NewColor: longint): integer;
Function imkLoad ( FileName: Pchar;  ImageNum:integer;  Fmt:integer): integer;
Function imkLoadPal ( FileName: Pchar;  ImageNum:integer;  Fmt:integer): integer;
Function imkMaskCopy (FromPicBuf:Pointer; ToPicBuf:Pointer; MaskPicBuf:Pointer): integer;
Function imkMatrixFilter ( FullPicture:integer;  MatrixSize:integer; Matrix: integer;
         MatrixScale:integer;  MatrixNorm:integer;  MatrixOffset:integer): integer;
Function imkMirror ( FullPicture:integer;  BoolHoriz:integer;  BoolVert:integer): integer;
Function imkNegate ( FullPicture:integer): integer;
Function imkOptimizePal (Images:Pointer;  ImgCount:integer;  Colors:integer): integer;
Function imkReduceColors ( FullPicture:integer;  Colors: longint;  Optimize:integer;
         Dither:integer;  NoBleed:integer): integer;
Function imkRemapPal ( FullPicture:integer;  Palette:integer): integer;
Function imkRotate ( FullPicture:integer;  Angle:integer;  BackColor: longint): integer;
Function imkSetPalColor ( Palette:integer;  Index:integer;  VBcolor: longint): integer;
Function imkSetPalette ( Count:integer; Buffer :longint): integer;
Function imkSharpen ( FullPicture:integer;  Sharpness:integer): integer;
Function imkSoften ( FullPicture:integer;  Softness:integer): integer;
Function imkTwipsToXCoord (hctl:POINTER;  twips: longint): integer;
Function imkTwipsToYCoord (hctl:Pointer;  twips: longint): integer;
Function imkVerify ( FullPicture:integer): integer;
Function imkXCoordToTwips (hctl:pointer;  XCoord:integer) :longint;
Function imkYCoordToTwips (hctl:Pointer;  YCoord:integer) :longint;

{procedure imkAccessStoreDone ;}
procedure imkAppendTiff ( FileName: Pchar;  Picture:integer;  Compress:integer);
procedure imkGetPalette ( FullPicture:integer; Buffer:Pointer);
procedure imkGetScanLine ( FullPicture:integer;  LineNo:integer; Buffer:Pointer);
procedure imkPutScanLine ( FullPicture:integer;  LineNo:integer; Buffer:Pointer);
procedure imkSetScreenPal ( Palette:integer);
procedure imkStore ( FileName: Pchar;  FullPicture:integer;  Fmt:integer;  Compression:integer);
procedure imkStorePal ( FileName: Pchar;  Palette:integer;  Fmt:integer);

implementation

{Function imkAccessLoad; external 'knife.vbx';}
{Function imkAccessStoreInit ; external 'knife.vbx';}
{Function imkAccessStoreGetData; external 'knife.vbx';}

Function imkBlur ; external 'knife.vbx';
Function imkBrightCont ; external 'knife.vbx';
Function imkColorReplace ; external 'knife.vbx';
Function imkCountImages ; external 'knife.vbx';
Function imkDuplicate; external 'knife.vbx';
Function imkExtractEdges ; external 'knife.vbx';
Function imkForcePal ; external 'knife.vbx';
Function imkGamma ; external 'knife.vbx';
Function imkGetColor ; external 'knife.vbx';
Function imkGetColorCount ; external 'knife.vbx';
Function imkGetPalColor ; external 'knife.vbx';
Function imkGrayScale ; external 'knife.vbx';
Function imkIncreaseColors ; external 'knife.vbx';
Function imkInit ; external 'knife.vbx';
Function imkLoad ; external 'knife.vbx';
Function imkLoadPal ; external 'knife.vbx';
Function imkMaskCopy ; external 'knife.vbx';
Function imkMatrixFilter ; external 'knife.vbx';
Function imkMirror ; external 'knife.vbx';
Function imkNegate ; external 'knife.vbx';
Function imkOptimizePal ; external 'knife.vbx';
Function imkReduceColors ; external 'knife.vbx';
Function imkRemapPal ; external 'knife.vbx';
Function imkRotate ; external 'knife.vbx';
Function imkSetPalColor ; external 'knife.vbx';
Function imkSetPalette ; external 'knife.vbx';
Function imkSharpen; external 'knife.vbx';
Function imkSoften; external 'knife.vbx';
Function imkTwipsToXCoord ; external 'knife.vbx';
Function imkTwipsToYCoord ; external 'knife.vbx';
Function imkVerify ; external 'knife.vbx';
Function imkXCoordToTwips ; external 'knife.vbx';
Function imkYCoordToTwips ; external 'knife.vbx';

{procedure imkAccessStoreDone; external 'knife.vbx';}
procedure imkAppendTiff ; external 'knife.vbx';
procedure imkGetPalette; external 'knife.vbx';
procedure imkGetScanLine ; external 'knife.vbx';
procedure imkPutScanLine; external 'knife.vbx';
procedure imkSetScreenPal; external 'knife.vbx';
procedure imkStore ; external 'knife.vbx';
procedure imkStorePal ; external 'knife.vbx';

end.
